Skip to main content
Jump to: navigation, search

Difference between revisions of "Epsilon/Agenda"

Line 2: Line 2:
  
 
* 1.0 Release
 
* 1.0 Release
** I can't build the Epsilon interim update site using 4.2 (cannot parse feature.xml from one of the GMF source plugins)
+
** I can't build the Epsilon interim update site using 4.2 (cannot parse feature.xml from one of the GMF source plugins).
** Removing the offending feature solves this problem but then I get JDK-related errors
+
** Removing the offending feature solves this problem but then I get JDK-related errors.
 
** Do we want to resctructure Epsilon features before releasing 1.0?
 
** Do we want to resctructure Epsilon features before releasing 1.0?
 
* 1.0 Distributions
 
* 1.0 Distributions
 
** Build them on 4.2 or 3.8 or both?
 
** Build them on 4.2 or 3.8 or both?
** We need Emfatic. It's in better shape now but still need to schedule a release review for it
+
** We need Emfatic. It's in better shape now but still need to schedule a release review for it.
 +
* Epsilon Standalone
 +
** Work in progress.
 +
* Static Analysis
 +
** First version of the EOL metamodel + code that populates EOL models from ASTs
 +
** Code under EpsilonLabs (still at an early development stage)
 +
** Need to review the metamodel https://code.google.com/p/epsilonlabs/source/browse/trunk/StaticAnalysis/org.eclipse.epsilon.eol.dom/model/Dom.ecore
 +
* EpsilonLabs
 +
** Need to get rid of the SourceForge EpsilonLabs and move any interesting content that's left there to googlecode.
 +
** Need to clean-up EpsilonLabs under googlecode.
 +
** Has a new logo.

Revision as of 03:23, 11 September 2012

Next meeting to be held on Sept 11 2012 over Skype

  • 1.0 Release
    • I can't build the Epsilon interim update site using 4.2 (cannot parse feature.xml from one of the GMF source plugins).
    • Removing the offending feature solves this problem but then I get JDK-related errors.
    • Do we want to resctructure Epsilon features before releasing 1.0?
  • 1.0 Distributions
    • Build them on 4.2 or 3.8 or both?
    • We need Emfatic. It's in better shape now but still need to schedule a release review for it.
  • Epsilon Standalone
    • Work in progress.
  • Static Analysis
  • EpsilonLabs
    • Need to get rid of the SourceForge EpsilonLabs and move any interesting content that's left there to googlecode.
    • Need to clean-up EpsilonLabs under googlecode.
    • Has a new logo.

Back to the top